Stopping time, while allowing camera movement
Assignee:
Description
The ability to completely stop "time" but still traverse the level as a camera would be VERY useful (not to mention really cool).

| can imagine using this while designing particle generators for example.

| don't think this would be too difficult to implement. Basically just pause the game but allow cameras to move around.

History

#1 - 2006-07-25 14:22 - deus-ex

Logged In: YES
user_id=1531504

If you completely stop "time" that would stop particle
generators as well, would'nt it? :B

You're probably better of just freezing the Monster Al and
halting the timer that stores the actual "play-

duration" (simply store that timer value to a variable and
write it back upon unfreezing the Al).

THAT'D BE REALLY COOL. :)

#2 - 2013-10-18 13:18 - skyjake
- Tags set to World, PlaySim
- Description updated

There could be factor similar to "settics" that controls how long game world ticks are. Pausing everything would be as easy as setting this factor to
zero.

#3 - 2019-11-29 18:26 - skyjake

- Status changed from New to Rejected
